%define name	pwiki
%define version	1.0.2
%define release 1mdk
%define serverroot /var/www

Summary:	A wikiwiki management system written in PHP
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://wiki.2gn.com/wiki-files/wiki/%{name}-dist-%{version}.tar.bz2
Source1:	wikiinclude.conf
Source2:	pwiki-0.9.1-url.patch.bz2
Copyright:	GPL
Group:		System/Servers
Buildroot:	%{_tmppath}/%{name}-%{version}-root
URL:		http://wiki.2gn.com/
Prereq:		apache
Requires:	mod_php
BuildArchitectures:	noarch

%description
This is the PHP implementation of WikiWikiWeb. It appears to function fine with
PHP3 and PHP4. Requirements are an apache web server with
PHP installed as a module. I haven't tried it on windows boxes, but it should
work with some (or maybe no) modification. 

%prep

%setup -n pwinst

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%serverroot
tar xvf pwiki.tar -C $RPM_BUILD_ROOT%serverroot
cd $RPM_BUILD_ROOT%serverroot
bzcat %{SOURCE2} | patch -p0

install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%serverroot/pwiki/

%clean
rm -rf $RPM_BUILD_ROOT

%post

if ! grep -q "Include /var/www/pwiki/wikiinclude.conf" /etc/httpd/conf/httpd.conf; then
  echo "Include /var/www/pwiki/wikiinclude.conf" >> /etc/httpd/conf/httpd.conf
  service httpd reload
fi

%postun

if [ $1 = 0 ]; then
  if grep -q "Include /var/www/pwiki/wikiinclude.conf" /etc/httpd/conf/httpd.conf; then
    grep -v "Include /var/www/pwiki/wikiinclude.conf" /etc/httpd/conf/httpd.conf > /etc/httpd/conf/httpd.conf.new
    mv -f /etc/httpd/conf/httpd.conf.new /etc/httpd/conf/httpd.conf
    service httpd reload
  fi
fi

%files
%defattr(-,apache,apache)
%doc CONTRIBUTORS COPYING README UPGRADE DATABASES
%config(noreplace) %{serverroot}/pwiki/admins
%config(noreplace) %{serverroot}/pwiki/editors
%config(noreplace) %{serverroot}/pwiki/pwikicfg.phl
%config(noreplace) %{serverroot}/pwiki/wikiinclude.conf
%{serverroot}/pwiki/areas
%{serverroot}/pwiki/backup
%{serverroot}/pwiki/dbaccess
%{serverroot}/pwiki/extensions
%{serverroot}/pwiki/html
%{serverroot}/pwiki/locale
%{serverroot}/pwiki/modules
%{serverroot}/pwiki/sql
%{serverroot}/pwiki/templates
%{serverroot}/pwiki/textdir
%{serverroot}/pwiki/upload
%{serverroot}/pwiki/view_html

%changelog
* Tue Apr 24 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2

* Wed Jan 17 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.9.1-1mdk
- new version

* Mon Dec 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.8.0-1mdk
- 0.8.0
- applied patch to export only the path to the file instead of a full
URL.

* Fri Dec 15 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.7.8-1mdk
- first mandrake version


